body {
  margin: 0;
  padding: 24px;
  font-size: 0;
  position: relative;
  overflow: hidden;
  cursor: default;
}

* {
  margin: 0;
  padding: 0;
}

*::selection {
  background-color: transparent;
}

*:not(#select) {
  box-sizing: border-box;
}

canvas:not(#select), #tutorial {
  position: absolute;
  left: 90px;
  border: solid 2px transparent;
}

.transition {
  transition: 0.5s ease-in-out;
}

#select {
  position: absolute;
  outline-style: solid;
  outline-width: 2px;
  box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.2);
  pointer-events: none;
  z-index: 1;
  opacity: 0.9;
}

#save_selection {
  position: absolute;
  z-index: 1;
}

#left_wrapper, #right_wrapper {
  padding: 8px;
  position: absolute;
  top: 50%;
  transform: translate(50%, -50%);
}

#left_wrapper {
  left: 0px;
}

#right_wrapper {
  right: 44px;
}

#lightswitch:hover, .button:hover, #select:hover {
  cursor: pointer;
}

#lightswitch {
  transform: translate(2px, 2px);
  width: 16px;
  height: 128px;
}

.light_on #lightswitch:active {
  background-color: rgba(0, 0, 0, 0.7);
}

.light_off #lightswitch:active {
  background-color: rgba(255, 255, 255, 0.8);
}

.on {
  outline: 2px solid black;
}

.off {
  outline: 2px solid white;
}

#about {
  margin-top: 8px;
}

#tutorial {
  font-family: 'Karla', sans-serif;
  padding: 8 16 16 16px;
  width: 100%;
  background: rgba(255, 255, 255, 0.9);
  overflow-y: scroll;
  border-top: solid 2px transparent;
  border-bottom: solid 2px transparent;
  z-index: 2;
}

#tutorial::-webkit-scrollbar {
    background: transparent;
}

h1, p {
  margin-bottom: 20px;
}

p:last-child {
  margin-bottom: 0;
}

h1 {
  font-size: 28px;
  font-weight: 400;
}

p {
  font-size: 20px;
  line-height: 26px;
}

scpan {
  font-style: italic;
  text-decoration: underline;
}

.button {
  margin: 4px;
  width: 20px;
  height: 20px;
}

.button::last-of-type {
  margin-bottom: 0;
}

.button:hover:not(#lightswitch) {
  border: 2px solid transparent;
}

.light_on .button:active:not(#lightswitch) {
  outline: 2px solid black;
}

.light_off .button:active:not(#lightswitch) {
  outline: 2px solid white;
}

.light_on .current_tool {
  outline: 2px solid black;
  border: 2px solid transparent;
}

.light_off .current_tool {
  outline: 2px solid white;
  border: 2px solid transparent;
}

.hidden {
  display: none;
}

.light_on {
  background-color: white;
  outline: 2px solid black;
}

.light_off {
  background-color: black;
  outline: 2px solid white;
}

.light_on .tutorial_hover {
  box-shadow: 0 0 30px rgba(0, 0, 0, 1);
}

.light_off .tutorial_hover {
  box-shadow: 0 0 30px rgba(255, 255, 255, 1);
}
